import React from 'react';
import { Radio, Icon, Button, AutoComplete,Cascader,Input, Select, Spin, Popconfirm, Table, Switch, message,Calendar , DatePicker, Upload, Form ,Modal,Tabs,Card ,Col} from 'antd';
import ajax from 'jquery/src/ajax/xhr.js';
import $ from 'jquery/src/ajax';
import Jquery from 'jquery/dist/jquery.js';
import Picture from '@/manageCenter/publicComponent/picture';
import moment from 'moment';
import {boutique ,tepi,jiedian} from '@/dataDic.js';
import { getLiquidationStatus,getApprovedState,getProcessStatus,splitUrl,getjiedian,getboutique,getNewOrderStatus,getRefundStatus,getCuikuan} from '@/tools.js';
import './customer.less';
const TabPane = Tabs.TabPane;
const Dragger = Upload.Dragger;
//图片组件
const PicturesWall = React.createClass({
	getInitialState() {
		return {
			previewVisible: false,
			previewImage: '',
			fileList: [],
		}
	},
	handleCancel() {
		this.setState({
			previewVisible: false
		})
	},
	handlePreview(file) {
		this.setState({
			previewImage: file.url || file.thumbUrl,
			previewVisible: true,
		});
	},
	handleChange(info) {
		let fileList = info.fileList;
		this.setState({
			fileList
		});
		this.props.fileList(fileList);
	},
	componentWillReceiveProps(nextProps) {
		this.state.fileList = nextProps.pictureUrl;
		this.state.pojectApplicationUrl = undefined;
	},
	render() {
		const {
			previewVisible,
			previewImage,
			fileList
		} = this.state;
		const uploadButton = (
			<div>
                <Icon type="plus" />
                <div className="ant-upload-text">点击上传</div>
            </div>
		);
		return(
			<div style={{display:"inline-block"}}>
                <Upload
                    action={globalConfig.context + "/api/admin/customer/uploadCustomerImg"}
                    data={{ 'sign': '' }}
                    listType="picture-card"
                    fileList={fileList}
                    onPreview={this.handlePreview}
                    onChange={this.handleChange} >
                    {fileList.length >= 1 ? null : uploadButton}
                </Upload>
                <Modal maskClosable={false} visible={previewVisible} footer={null} onCancel={this.handleCancel}>
                    <img alt="example" style={{ width: '100%' }} src={previewImage} />
                </Modal>
            </div>
		);
	}
});


const IntentionCustomer = Form.create()(React.createClass({
	loadData(pageNo, apiUrl) {
		this.setState({
			visitModul:false,
			loading: true,
			ispage:pageNo,
			modalVisible:false
		});
		$.ajax({
			method: "get",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context +"/api/admin/newOrder/orderRefundList",
			data: {
				pageNo: pageNo || 1,
				pageSize: this.state.pagination.pageSize,
				name: this.state.customerName,//名称
				orderNo: this.state.orderNo,//订单编号
				starTime: this.state.releaseDate[0],//开始时间
				endTime: this.state.releaseDate[1],//结束时间
			},
			success: function(data) {
				let theArr = [];
				if(data.error.length || data.data.list == "") {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
				} else {
					for(let i = 0; i < data.data.list.length; i++) {
						let thisdata = data.data.list[i];
						let diqu=(thisdata.province==null?"":thisdata.province)+(thisdata.city==null?"":"-"+thisdata.city)+(thisdata.area==null?"":"-"+thisdata.area);
						theArr.push({
							 key: i,
							 id: thisdata.id,//用户ID
							 orderNo: thisdata.orderNo,//订单编号
							 userName:thisdata.userName,//客户名称
							 orderStatus:thisdata.orderStatus,//订单状态
	                         refundStatus:thisdata.refundStatus,//退单状态
	                         reason:thisdata.reason,//退单原因
	                         createDate:thisdata.createDate,//退单时间
	                         liquidationStatus:thisdata.liquidationStatus,//结算状态
						});
					};
				    this.state.pagination.total = data.data.totalCount;
				};
				if(data.data&&data.data.list&&!data.data.list.length){
					this.state.pagination.total=0
				}
				this.setState({
					dataSource: theArr,
					pageNo: pageNo,
					pagination: this.state.pagination,
					selectedRowKeys:[]
				});
			}.bind(this),
		}).always(function() {
			this.setState({
				loading: false
			});
		}.bind(this));
	},
	getInitialState() {
		return {
			page:1,
			releaseDate: [],
			selectedRowKeys: [],
			orgCodeUrl:[],
			customerArr:[],
			applicationUrl:[],
			contractUrl:[],
			pagination: {
				defaultCurrent: 1,
				defaultPageSize: 10,
				showQuickJumper: true,
				pageSize: 10,
				onChange: function(page) {
					this.loadData(page);
				}.bind(this),
				showTotal: function(total) {
					return '共' + total + '条数据';
				}
			},
			columns: [
				{
                    title: '退单编号',
                    dataIndex: 'id',
                    key: 'id'
                },{
                    title: '退单日期',
                    dataIndex: 'createDate',
                    key: 'createDate'
                }, {
                    title: '客户名称',
                    dataIndex: 'userName',
                    key: 'userName',
                    render:(text)=>{
                    	return (text&&text.length>9?text.substr(0,9)+'...':text)
                    }
                },{
                    title: '订单编号',
                    dataIndex: 'orderNo',
                    key: 'orderNo'
                },{
                    title: '订单状态',
                    dataIndex: 'orderStatus',
                    key: 'orderStatus',
                    render:text=>{return getNewOrderStatus(text)}
                },{
                    title: '结算状态',
                    dataIndex: 'liquidationStatus',
                    key: 'liquidationStatus',
                    render:text=>{return getLiquidationStatus(text)}
                },  {
                    title: '退单状态',
                    dataIndex: 'refundStatus',
                    key: 'refundStatus',
                    render:text=>{return getRefundStatus(text)}
                },{
                    title: '退单原因',
                    dataIndex: 'reason',
                    key: 'reason',
                    render:(text)=>{
                    	return (text&&text.length>18?text.substr(0,18)+'...':text)
                    }
                }, {
					title: '操作',
					dataIndex: 'abc',
					key: 'abc',
					render: (text, record, index) => {
						return <div>
                            <Button onClick={(e) =>{ e.stopPropagation(), this.visit(record)}} type="primary">{this.state.refundStatus==2?'修改退单申请':'查看退款申请'}</Button>
                        </div>
					}
				}
			],
			data: [],
			dataSource: [],
			columnsX: [
				{
                    title: '业务项目名称',
                    dataIndex: 'commodityName',
                    key: 'commodityName'
                }, {
                    title: '项目类别',
                    dataIndex: 'cname',
                    key: 'cname',
                    
                },{
                    title: '项目数量',
                    dataIndex: 'commodityQuantity',
                    key: 'commodityQuantity'
                }, {
                    title: '金额(万元)',
                    dataIndex: 'commodityPrice',
                    key: 'commodityPrice'
                }, {
                    title: '负责人',
                    dataIndex: 'contacts',
                    key: 'contacts'
                }, {
                    title: '负责人电话',
                    dataIndex: 'contactsMobile',
                    key: 'contactsMobile'
                }, {
                    title: '主要项目',
                    dataIndex: 'main',
                    key: 'main',
                    render:(text)=>{
                    	return (text?'是':'否')
                    }
                }, {
                    title: '项目说明',
                    dataIndex: 'taskComment',
                    key: 'taskComment',
					render:(text)=>{
						return (text&&text.length>8?text.substr(0,8)+'…':text)
					}
                }
			],
			dataSourceX: [],
			ContactsLists: [{
					title: '催款科目',
					dataIndex: 'dunSubject',
					key: 'dunSubject',
					render: text=>{return getjiedian(text)}
				},{
					title: '金额（万）',
					dataIndex: 'money',
					key: 'money',
				}, {
					title: '催款状态',
					dataIndex: 'dunStatus',
					key: 'dunStatus',
					render:text=>{return getCuikuan(text)}
				},
			],
		};
	},
	//进入新增拜访记录
	visit(record) {
		this.setState({
			addnextVisible:true,
		})
		this.tuidanxiangqing(record.id);
		
	},
	//退单详情
    tuidanxiangqing(id) {
        this.setState({
            loading: true
        });
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + "/api/admin/newOrder/orderRefundDetail",
            data: {
            	id:id
            }
        }).done(function (data) {
            let theArr = [];
				if(data.error.length || data.data.list == "") {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
				} else {
					let thisdata=data.data;
					this.setState({
						 id:thisdata.id,
						 createDate:thisdata.createDate,//退单时间
						 orderNo: thisdata.orderNo,//订单编号
						 orderStatus: thisdata.orderStatus,//订单状态
						 refundStatus:thisdata.refundStatus,//退单状态
						 applicationUrl:thisdata.applicationUrl?splitUrl(thisdata.applicationUrl, ',', globalConfig.avatarHost + '/upload') : [],//申请表附件
						 contractUrl:thisdata.contractUrl?splitUrl(thisdata.contractUrl, ',', globalConfig.avatarHost + '/upload') : [],//合同附件
						 reason:thisdata.reason,//退单原因
	                     liquidationStatus:thisdata.liquidationStatus,//结算状态
					})
					this.setState({
			            loading: false
			        });
			        
				};
        }.bind(this));
    },
    //点击确认退单
	tuidanOk(){
		let contractUrls = [];
		let applicationUrls = [];
        if (this.state.contractUrl.length) {
            let picArr = [];
            this.state.contractUrl.map(function (item) {
				if ( item.response && item.response.data && item.response.data.length ){
					picArr.push(item.response.data);
				}
            });
            contractUrls = picArr.join(",");
        };
         if (this.state.applicationUrl.length) {
            let picArr = [];
            this.state.applicationUrl.map(function (item) {
				if ( item.response && item.response.data && item.response.data.length ){
					picArr.push(item.response.data);
				}
            });
            applicationUrls = picArr.join(",");
        };
		$.ajax({
			method: "POST",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context +'/api/admin/newOrder/updateOrderRefund' ,
			data: {
				id:this.state.id,//订单编号
				contractUrl:contractUrls.length?contractUrls:'',//终止合同
				applicationUrl:applicationUrls.length?applicationUrls:'',//退单申请表
				reason:this.state.reason,//退单原因
			}
		}).done(function(data) {
			this.setState({
				loading: false
			});
			if(!data.error.length) {
				message.success('退单成功！');
				this.nextCancel();
				this.handleCancel();
			} else {
				message.warning(data.error[0].message);
			}
		}.bind(this));
	},
	//页面加载函数
	componentWillMount() {
		this.loadData();
	},
	//整行点击
	tableRowClick(record, index) {
		this.setState({
			visible:true,
		});
		this.xiangqing(record.orderNo);
		this.xiangmu(record.orderNo);
		this.jiedian(record.orderNo);
	},	
	
    //详情关闭
    nextCancel() {
		this.setState({
			addnextVisible: false
		})
		this.resets();
	},
    //订单详情
	xiangqing(orderNos) {
		$.ajax({
			method: "get",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context +"/api/admin/newOrder/getOrderNewDetail",
			data: {
				orderNo:orderNos
			},
			success: function(data) {
				let theArr = [];
				
				if(data.error.length || data.data.list == "") {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
				} else {
					let thisdata=data.data;
					this.setState({
						 id:thisdata.id,
						 kehuId:thisdata.buyerId,
						 orderNo: thisdata.orderNo,//订单编号
						 contractNo: thisdata.contractNo,//合同编号
						 userName:thisdata.userName,//客户名称
						 signDate:thisdata.signDate,//签单时间
						 processStatus:thisdata.processStatus,//流程状态
	                     liquidationStatus:thisdata.liquidationStatus,//结算状态
	                     contacts:thisdata.contacts,//企业联系人
	                     contactMobile:thisdata.contactMobile,//联系人电话
	                     legalPerson:thisdata.legalPerson,//法人
	                     legalPersonTel:thisdata.legalPersonTel,//法人电话
	                     firstAmount:thisdata.firstAmount,//签单金额
	                     totalAmount:thisdata.totalAmount,//首付金额
	                     settlementAmount:thisdata.settlementAmount,//已收款项
	                     orderRemarks:thisdata.orderRemarks,//订单留言
	                     orgCodeUrl: thisdata.contractPictureUrl ? splitUrl(thisdata.contractPictureUrl, ',', globalConfig.avatarHost + '/upload') : [],//图片地址
	                     salesmanName:thisdata.salesmanName,//营销员名称
	                     salesmanMobile:thisdata.salesmanMobile,//营销员电话
	                     financeName:thisdata.financeName,//财务名称
	                     financeMobile:thisdata.financeMobile,//财务电话
	                     approval:thisdata.approval.toString(),//特批状态
	                     //approval:thisdata.approval==0?thisdata.approval.toString():thisdata.approval,//特批状态
					})
				};
				
			}.bind(this),
		}).always(function() {
			this.setState({
				loading: false
			});
		}.bind(this));
	},
	//项目列表
	xiangmu(orderNos) {
		$.ajax({
			method: "get",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context +"/api/admin/newOrder/getOrderTask",
			data: {
				orderNo:orderNos
			},
			success: function(data) {
				let theArr = [];
				
				if(data.error.length || data.data.list == "") {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
				} else {
					for (let i = 0; i < data.data.length; i++) {
                        let thisdata = data.data[i];
                        theArr.push({
                             key: i,
                             id:thisdata.id,
                             orderNo:thisdata.orderNo,//订单编号
                              commodityId:thisdata.commodityId,//项目ID
                             commodityName:thisdata.commodityName,//项目名称
                             cname:thisdata.cname,//项目类别
                             commodityPrice:thisdata.commodityPrice,//项目价格
                             commodityQuantity:thisdata.commodityQuantity,//项目数量
                             main:thisdata.main,//是否为主要任务
                             taskComment:thisdata.taskComment,//任务说明
                             contacts:thisdata.contacts,//联系人
                             contactsMobile:thisdata.contactsMobile,//联系人电话
                        });
                    };
				};
				this.setState({
                    dataSourceX: theArr,
                     paginations: false,
                });
			}.bind(this),
		}).always(function() {
			this.setState({
				loading: false
			});
		}.bind(this));
	},
	//节点列表
	jiedian(orderNos) {
		$.ajax({
			method: "get",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context +"/api/admin/newOrder/selectOrderDun",
			data: {
				orderNo:orderNos
			},
			success: function(data) {
				let theArr = [];
				let thisData=[];
				if(data.error.length || data.data.list == "") {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
				} else {
					for(let i = 0; i < data.data.length; i++) {
                		thisData= data.data[i];  
	                	theArr.push({
	                		key:i,
	                		dunSubject:thisData.dunSubject?thisData.dunSubject.toString():"",//催款科目
	                		id:thisData.id,//节点Id
	                		money:thisData.money,//催款金额
	                		dunStatus:thisData.dunStatus,//催款状态
	                		orderNo:thisData.orderNo,
	                	})
                	}
                	this.setState({
                		contactList:theArr
                	})
				};
				
			}.bind(this),
		}).always(function() {
			this.setState({
				loading: false
			});
		}.bind(this));
	},
	
	resets(){
    	this.state.orderNo='';
    	this.state.customerName='';
    	this.state.releaseDate[0] = undefined;
		this.state.releaseDate[1] = undefined;
    },
    reset(){
    	this.state.orderNo='';
    	this.state.customerName='';
    	this.state.releaseDate[0] = undefined;
		this.state.releaseDate[1] = undefined;
		this.loadData();
    },
	
	//搜索
	search() {
    	this.setState({
    		//signBillVisible:false
    	})
        this.loadData();
    },
	getOrgCodeUrl(e) {
        this.setState({ orgCodeUrl: e });
    },
	//关闭详情
	visitCancel(e){
		this.setState({
			visible:false
		})
		this.resets();
	},
	visitOk(e){
		this.setState({
			visible:false
		})
		this.resets();
	},
	render() {
		const formItemLayout = {
			labelCol: { span: 8 },
			wrapperCol: { span: 14 },
		};
		const FormItem = Form.Item;
		const { RangePicker } = DatePicker;
		const rowSelection = {
			selectedRowKeys: this.state.selectedRowKeys,
			onChange: (selectedRowKeys, selectedRows) => {
				this.setState({
					modalVisible:false,
					selectedRows: selectedRows.slice(-1),
					selectedRowKeys: selectedRowKeys.slice(-1)
				});
			},
			onSelect: (recordt, selected, selectedRows) => {
				this.setState({
					modalVisible:false,
					recordt: recordt.id
				})
			},
		};
		const dataSources=this.state.customerArr || [];
		const options = this.state.states?dataSources.map((group,index) =>
				      <Select.Option key={group.id} value={group.name}>{group.name}</Select.Option>
				     ):dataSources.map((group,index) =>
				      <Select.Option key={index} value={group.bname}>{group.bname}</Select.Option>
				     )
		const hasSelected = this.state.selectedRowKeys.length > 0;
		return(
			<div className="user-content">
				<div className="content-title">                  
                    <span>退单管理</span>
                </div>
               	<div className="user-search">                    
                   <Input placeholder="客户名称" style={{width:'150px',marginBottom:'10px'}}
	                        value={this.state.customerName}
	                        onChange={(e) => { this.setState({ customerName: e.target.value }); }} />
                    <Input placeholder="订单编号" style={{width:'150px'}}
                        value={this.state.orderNo}
                        onChange={(e) => { this.setState({ orderNo: e.target.value }); }} />
                    <span style={{marginRight:"10px"}}>下单时间 :</span>
                    <RangePicker
	                        value={[this.state.releaseDate[0] ? moment(this.state.releaseDate[0]) : null,
	                        this.state.releaseDate[1] ? moment(this.state.releaseDate[1]) : null]}
	                        onChange={(data, dataString) => { this.setState({ releaseDate: dataString }); }} />
                    <Button type="primary" onClick={this.search} style={{marginLeft:'10px'}}>搜索</Button>
                    <Button onClick={this.reset}>重置</Button> 
                   	<div className="patent-table">
	                    <Spin spinning={this.state.loading}>
	                        <Table columns={this.state.columns}
	                            dataSource={this.state.dataSource}    
	                            rowSelection={rowSelection}
	                            pagination={this.state.pagination} 
	                            onRowClick={this.tableRowClick}
	                           />
	                    </Spin>
               		 </div> 
               		<Modal	
				      className="customeDetails"
				      footer=''
			          title="订单详情"
			          width='900px'
			          visible={this.state.visible}
			          onOk={this.visitOk}
					  onCancel={this.visitCancel}							          							          
			        >	
				        <Form layout="horizontal" onSubmit={this.handleSubmit} id="demand-form" style={{paddingBottom:'40px'}} >
				            <Spin spinning={this.state.loading}>
				                <div className="clearfix">
				                	<FormItem className="half-item"
			                            {...formItemLayout}
			                            label="订单编号" >
			                            <span>{this.state.orderNo}</span>
		                    		</FormItem>
		                    		<FormItem className="half-item"
			                            {...formItemLayout}
			                            label="合同编号" >  
			                            <span>{this.state.contractNo}</span>
				                    </FormItem>
		                    		<FormItem className="half-item"
			                            {...formItemLayout}
			                            label="客户名称" >  
			                            <span>{this.state.userName}</span>
		                    		</FormItem>
		                    		<FormItem className="half-item"
			                            {...formItemLayout}
			                            label="合同签订时间" >   
			                            <span>{this.state.signDate}</span>
		                    		</FormItem>
		                    		<FormItem className="half-item"
			                            {...formItemLayout}
			                            label="流程状态" >  
			                            <span>{getProcessStatus(this.state.processStatus)}</span>
		                    		</FormItem>
		                    		<FormItem className="half-item"
			                            {...formItemLayout}
			                            label="结算状态" >  
			                            <span>{getLiquidationStatus(this.state.liquidationStatus)}</span>
		                    		</FormItem>
		                    		<FormItem className="half-item"
			                            {...formItemLayout}
			                            label="企业联系人" >                             
		                                <span>{this.state.contacts}</span>
				                    </FormItem>
				                     <FormItem className="half-item"
			                            {...formItemLayout}
			                            label="联系人电话" >                             
		                                <span>{this.state.contactMobile}</span>
				                    </FormItem>
				                    <FormItem className="half-item"
			                            {...formItemLayout}
			                            label="企业法人" >                             
		                                <span>{this.state.legalPerson}</span>
		                            </FormItem>
				                     <FormItem className="half-item"
			                            {...formItemLayout}
			                            label="法人电话" >  
			                             <span>{this.state.legalPersonTel}</span>
				                    </FormItem>
				                    <FormItem className="half-item"
			                            {...formItemLayout}
			                            label="签单金额(万元)" >                             
		                                 <span>{this.state.firstAmount}</span>
				                    </FormItem>
				                    <FormItem className="half-item"
			                            {...formItemLayout}
			                            label="首付金额(万元)" >                             
		                                <span>{this.state.totalAmount}</span>
				                    </FormItem>
		                    		<FormItem className="half-item"
			                            {...formItemLayout}
			                            label="特批立项" >  
			                            <span>{getApprovedState(this.state.approval)}</span>
		                    		</FormItem>
		                    		<FormItem className="half-item"
			                            {...formItemLayout}
			                            label="已收款项(万元)" >  
			                            <span>{this.state.settlementAmount}</span>
		                    		</FormItem>
				                     <div className='clearfix'>
							        	<FormItem
								            labelCol={{ span: 4 }}
								            wrapperCol={{ span: 16 }}
								            label="订单留言" >
							        	 <span>{this.state.orderRemarks}</span>
								        </FormItem>
							        </div>
				                    <div className='clearfix'>
							            <FormItem labelCol={{ span: 4 }} wrapperCol={{ span: 18 }} label="合同扫描件">
				                            <Upload className="demandDetailShow-upload"
				                                listType="picture-card"
				                                fileList={this.state.orgCodeUrl}                               
				                                onPreview={(file) => {
				                                    this.setState({
				                                        previewImage: file.url || file.thumbUrl,
				                                        previewVisible: true,
				                                    });
				                                }} >
				                            </Upload>
				                            <Modal maskClosable={false} footer={null}
				                                visible={this.state.previewVisible}
				                                onCancel={() => { this.setState({ previewVisible: false }) }}>
				                                <img alt="" style={{ width: '100%' }} src={this.state.previewImage || ''} />
				                            </Modal>
				                        </FormItem>
							        </div>
							        <div className='clearfix'>
			                    		<FormItem className="half-item"
				                            {...formItemLayout}
				                            label="订单负责人" >  
				                            <span>{this.state.salesmanName}</span>
			                    		</FormItem>
			                    		<FormItem className="half-item"
				                            {...formItemLayout}
				                            label="订单负责人电话" >  
                            				<span>{this.state.salesmanMobile}</span>
			                    		</FormItem>
			                    	</div>
			                    	<div className='clearfix'>
			                    		<FormItem className="half-item"
				                            {...formItemLayout}
				                            label="财务负责人" >  
				                            <span>{this.state.financeName}</span>
			                    		</FormItem>
			                    		<FormItem className="half-item"
				                            {...formItemLayout}
				                            label="财务负责人电话" >  
                            				<span>{this.state.financeMobile}</span>
			                    		</FormItem>
			                    	</div>
			                    	<div>
					                	<span style={{marginLeft:'50px',fontSize:'20px'}}>催款节点</span>
					                </div>
					                <div className="clearfix">
					    			  <Spin spinning={this.state.loading}>
					    			        <Form layout="horizontal" id="demand-form"  >
										      	<Table 
								            	 pagination={false}
								            	 columns={this.state.ContactsLists} 
								            	 dataSource={this.state.contactList}
								            	 />
						            	        <Col span={24} offset={9} style={{marginTop:'15px'}}>
									                 
									            </Col>
							            	</Form> 
									   </Spin> 
									</div>
						            <div>
					                	<span style={{marginLeft:'50px',fontSize:'20px'}}>项目业务</span>
					                </div>
					                <div className="patent-table">
					                    <Spin spinning={this.state.loading}>
					                        <Table columns={this.state.columnsX}
					                            dataSource={this.state.dataSourceX}
					                            pagination={this.state.paginations}
					                            />
					                    </Spin>
						            </div>
				                </div>
				            </Spin>
				        </Form>
			        </Modal>
			         <Modal maskClosable={false} visible={this.state.addnextVisible}
                        onOk={this.nextCancel} onCancel={this.nextCancel}
                        width='800px'
                        title={this.state.refundStatus==2?'修改退单申请':'退单详情'}                     
                        footer=''
                        className="admin-desc-content">
			            <Form layout="horizontal"  id="demand-form">
			                <Spin spinning={this.state.loading}>
			                        
				                    <div className='clearfix'>
				                    	<FormItem className="half-item"
					                            {...formItemLayout}
					                            label="退单编号" >
				                    			<span>{this.state.id}</span>
				                    	</FormItem>
				                    	<FormItem className="half-item"
					                            {...formItemLayout}
					                            label="退单日期" >
				                    			<span>{this.state.createDate}</span>
				                    	</FormItem>
				                    	<FormItem className="half-item"
					                            {...formItemLayout}
					                            label="订单编号" >
				                    			<span>{this.state.orderNo}</span>
				                    	</FormItem>
				                    	<FormItem className="half-item"
					                            {...formItemLayout}
					                            label="订单状态" >
				                    			<span>{getNewOrderStatus(this.state.orderStatus)}</span>
				                    	</FormItem>
				                    	<FormItem className="half-item"
					                            {...formItemLayout}
					                            label="退单状态" >
				                    			<span>{getRefundStatus(this.state.refundStatus)}</span>
				                    	</FormItem>
				                    	<FormItem className="half-item"
					                            {...formItemLayout}
					                            label="退款状态" >
				                    			<span>{getLiquidationStatus(this.state.liquidationStatus)}</span>
				                    	</FormItem>
				                    	<div className='clearfix'>
				                			{this.state.refundStatus==2?<FormItem labelCol={{ span: 4 }} wrapperCol={{ span: 16 }} label="终止合同">
										        <Picture
									              fileList={(e)=>{this.setState({contractUrl:e})}}
									              pictureUrl={this.state.contractUrl}
									              visible={this.props.visible}
									              data={{'sign':'order_refund_file',url:'/api/admin/newOrder/uploadRefundOrderFile',number:8}}
									           />
										    </FormItem>:
										    <FormItem labelCol={{ span: 4 }} wrapperCol={{ span: 18 }} label="合同扫描件">
					                            <Upload className="demandDetailShow-upload"
					                                listType="picture-card"
					                                fileList={this.state.orgCodeUrl}                               
					                                onPreview={(file) => {
					                                    this.setState({
					                                        previewImage: file.url || file.thumbUrl,
					                                        previewVisible: true,
					                                    });
					                                }} >
					                            </Upload>
					                            <Modal maskClosable={false} footer={null}
					                                visible={this.state.previewVisible}
					                                onCancel={() => { this.setState({ previewVisible: false }) }}>
					                                <img alt="" style={{ width: '100%' }} src={this.state.previewImage || ''} />
					                            </Modal>
					                        </FormItem>}
										</div>
										<div className='clearfix'>
				                			<FormItem labelCol={{ span: 4 }} wrapperCol={{ span: 16 }} label="退单申请表">
										        <Picture
									              fileList={(e)=>{this.setState({applicationUrl:e})}}
									              pictureUrl={this.state.applicationUrl}
									              visible={this.props.visible}
									              data={{'sign':'order_refund_file',url:'/api/admin/newOrder/uploadRefundOrderFile',number:8}}
									           />
										    </FormItem>
										</div>	
					                   <div className='clearfix'>
					                    	<FormItem
									            labelCol={{ span: 4 }}
									            wrapperCol={{ span: 16 }}
									            label="退单理由" >
					                    		{this.state.refundStatus==2?
									                <Input type="textarea" placeholder="请输入退单理由" rows={4}  value={this.state.reason} 
										    				onChange={(e)=>{this.setState({reason:e.target.value})}}/>:<span>{this.state.reason}</span>	}
									        </FormItem>
					                    </div>
					                    {this.state.refundStatus==2?
				                    	<FormItem wrapperCol={{ span: 12, offset: 4 }} className="half-middle">
					                        <Button className="submitSave" type="primary" onClick={this.tuidanOk}>重新退单</Button>  
					                        <Button className="submitSave" type="ghost" onClick={this.nextCancel}>取消</Button>
					                    </FormItem>:''}
				                    </div>
			                </Spin>
			            </Form >
			        </Modal>
               	</div>  
            </div>
			);
	}
}));
export default IntentionCustomer;






